def mapping(X, drange=(0., 255.), mode='amplitude', method='2Sigma', odtype='auto'):
    r"""convert to image

    Convert data to image data :math:`\bm X` with dynamic range :math:`d=[min, max]`.

    Parameters
    ----------
    X : Tensor
        data to be converted
    drange : tuple, optional
        dynamic range (the default is (0., 255.))
    mode : str, optional
        data mode in :attr:`X`, ``'amplitude'`` (default) or ``'power'``.
    method : str, optional
        mapping method, surpported values are ``'1Sigma'``, ``'2Sigma'``, ... ``'xSigma'``,
        or ``'log'``, ``'<THlog'``, ``'<THlog'`` (The elements of 10log10(X) lower (< or '') / greater (>) than TH will be set to TH),
        or ``'logmax'``, ``'<THlogmax'``, ``'>THlogmax'`` (The elements of 10log10(X/max(X)) lower (< or '') / greater (>) than TH will be set to TH),
        or ``'lognorm'``, ``'<THlognorm'``, ``'>THlognorm'`` (The elements of 10log10(X/norm(X)) lower (< or '') / greater (>) than TH will be set to TH),
        (the default is '2Sigma', which means two-sigma mapping)
    odtype : str or None, optional
        output data type, supportted are ``'auto'`` (auto infer, default), or dtype string.
        If the type of :attr:`odtype` is not string, the output data type is ``'th.float32'``.

    Returns
    -------
    Y : Tensor
        converted image data

    """


